## ros-one-four-wheel-steering-controller 0.22.0-0jammy.20251207.2128

=== debian/changelog ===
ros-one-four-wheel-steering-controller (0.22.0-0jammy.20251207.2128) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 07 Dec 2025 21:28:45 +0000

ros-one-four-wheel-steering-controller (0.22.0-0jammy) jammy; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 22 May 2024 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.21.2-0jammy) jammy; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.21.1-0jammy) jammy; urgency=high

  * Don't hardcode plugin library path
  * add_dependencies was added to the CMakeLists.txt in four_wheel_steering_controller
  * Contributors: Jochen Sprickerhof, pavel

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.21.0-0jammy) jammy; urgency=high

  * use boost::placeholders::_1/_2 in remaining instances, include boost/bind/bind.hpp instead of boost/bind.hpp, eliminated unnecessary bind.hpp include
  * Contributors: Lucas Walter

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.20.0-0jammy) jammy; urgency=high

  * Drop old C++ standard
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Lucas Walter

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Fri, 06 May 2022 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.19.0-0jammy) jammy; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.18.1-0jammy) jammy; urgency=high

  * Remove explicit dependency on Boost::headers to avoid issue #537 <https://github.com/ros-controls/ros_controllers/issues/537>
  * Add boost dependency
  * Format CMakeLists.txt and package.xml files + clean deps of 4ws_controller pkg
  * Contributors: Mateus Amarante, Mateus Amarante Araújo

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.18.0-0jammy) jammy; urgency=high

  * Add missing test dependency on xacro in four_wheel_steering_controller
  * Contributors: Mateus Amarante

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.17.0-0jammy) jammy; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 12 May 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.16.1-0jammy) jammy; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.16.0-0jammy) jammy; urgency=high

  * Bump CMake version to prevent CMP0048
  * Add missing header guards
  * Replace header guard with #pragma once
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * swap implementations of read and write methods
    Follows the intended use of hardware_interface::RobotHW,
    see its documentation for details
  * Contributors: Franz, Matt Reynolds

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.15.1-0jammy) jammy; urgency=high

  * add missing pluginlib deps
  * Use C++11 std::this_thread::sleep_for.
  * add include directories for tests in {ackermann/four_wheel}_steering_controller
  * Contributors: Davide Faconti, Mathias Lüdtke, Sean Yen

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.15.0-0jammy) jammy; urgency=high

  * Default all controller builds to C++14
  * boost::chrono -> std::chrono
  * Adjust missing bsd note
  * boost::assign -> C++ initializer list
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.14.3-0jammy) jammy; urgency=high

  * Minor change in one of the ROS_INFO_STREAM
  * Contributors: Jan-Felix Klein

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 09 Feb 2019 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.14.2-0jammy) jammy; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.14.1-0jammy) jammy; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 26 Jun 2018 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.14.0-0jammy) jammy; urgency=high

  * migrate to new pluginlib headers
  * fix warning un/signed comparison
  * [4ws tests] simulation clock
  * [4ws tests] Increase position tolerance
  * Contributors: Bence Magyar, Jeremie Deray, Mathias Lüdtke, Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Fri, 27 Apr 2018 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.13.2-0jammy) jammy; urgency=high

  * Add four_wheel_steering_controller
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 23 Dec 2017 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.13.1-0jammy) jammy; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 06 Nov 2017 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.13.0-0jammy) jammy; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 10 Aug 2017 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.12.3-0jammy) jammy; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 23 Apr 2017 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.12.2-0jammy) jammy; urgency=high





## ros-one-four-wheel-steering-controller 0.22.0-0jammy.20260221.0121

=== debian/changelog ===
ros-one-four-wheel-steering-controller (0.22.0-0jammy.20260221.0121) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 21 Feb 2026 01:21:55 +0000

## ros-one-four-wheel-steering-controller 0.22.0-0noble.20251023.0836

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(four_wheel_steering_controller)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS 
  controller_interface
  four_wheel_steering_msgs
  hardware_interface
  nav_msgs
  pluginlib
  realtime_tools
  roscpp
  tf
  urdf_geometry_parser
)

find_package(Boost REQUIRED)

# Declare a catkin package
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
    controller_interface
    four_wheel_steering_msgs
    hardware_interface
    nav_msgs
    realtime_tools
    roscpp
    tf
  DEPENDS Boost
)


###########
## Build ##
###########

# Specify header include paths
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/four_wheel_steering_controller.cpp
  src/odometry.cpp
  src/speed_limiter.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})


#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(controller_manager REQUIRED)
  find_package(geometry_msgs REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(std_srvs REQUIRED)
  find_package(rosgraph_msgs REQUIRED)
  find_package(rostest REQUIRED)
  
  include_directories(
    ${controller_manager_INCLUDE_DIRS}
    ${geometry_msgs_INCLUDE_DIRS}
    ${std_msgs_INCLUDE_DIRS}
    ${std_srvs_INCLUDE_DIRS}
    ${rosgraph_msgs_INCLUDE_DIRS}
  )

  add_executable(four_wheel_steering test/src/four_wheel_steering.cpp)
  target_link_libraries(four_wheel_steering ${catkin_LIBRARIES} ${controller_manager_LIBRARIES})

  add_dependencies(tests four_wheel_steering)

  add_rostest_gtest(four_wheel_steering_controller_twist_cmd_test
                    test/four_wheel_steering_controller_twist_cmd.test
                    test/src/four_wheel_steering_twist_cmd_test.cpp
  )
  target_link_libraries(four_wheel_steering_controller_twist_cmd_test ${catkin_LIBRARIES})

  add_rostest_gtest(four_wheel_steering_controller_4ws_cmd_test
                    test/four_wheel_steering_controller_4ws_cmd.test
                    test/src/four_wheel_steering_4ws_cmd_test.cpp
  )
  target_link_libraries(four_wheel_steering_controller_4ws_cmd_test ${catkin_LIBRARIES})

  add_rostest_gtest(four_wheel_steering_wrong_config_test
                    test/four_wheel_steering_wrong_config.test
                    test/src/four_wheel_steering_wrong_config.cpp
  )
  target_link_libraries(four_wheel_steering_wrong_config_test ${catkin_LIBRARIES})

endif()


#############
## Install ##
#############

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Install targets
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Install plugins
install(FILES four_wheel_steering_controller_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-four-wheel-steering-controller (0.22.0-0noble.20251023.0836) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 23 Oct 2025 08:36:56 +0000

ros-one-four-wheel-steering-controller (0.22.0-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 22 May 2024 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.21.2-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.21.1-0noble) noble; urgency=high

  * Don't hardcode plugin library path
  * add_dependencies was added to the CMakeLists.txt in four_wheel_steering_controller
  * Contributors: Jochen Sprickerhof, pavel

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.21.0-0noble) noble; urgency=high

  * use boost::placeholders::_1/_2 in remaining instances, include boost/bind/bind.hpp instead of boost/bind.hpp, eliminated unnecessary bind.hpp include
  * Contributors: Lucas Walter

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.20.0-0noble) noble; urgency=high

  * Drop old C++ standard
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Lucas Walter

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Fri, 06 May 2022 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.19.0-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.18.1-0noble) noble; urgency=high

  * Remove explicit dependency on Boost::headers to avoid issue #537 <https://github.com/ros-controls/ros_controllers/issues/537>
  * Add boost dependency
  * Format CMakeLists.txt and package.xml files + clean deps of 4ws_controller pkg
  * Contributors: Mateus Amarante, Mateus Amarante Araújo

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.18.0-0noble) noble; urgency=high

  * Add missing test dependency on xacro in four_wheel_steering_controller
  * Contributors: Mateus Amarante

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.17.0-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 12 May 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.16.1-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.16.0-0noble) noble; urgency=high

  * Bump CMake version to prevent CMP0048
  * Add missing header guards
  * Replace header guard with #pragma once
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * swap implementations of read and write methods
    Follows the intended use of hardware_interface::RobotHW,
    see its documentation for details
  * Contributors: Franz, Matt Reynolds

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.15.1-0noble) noble; urgency=high

  * add missing pluginlib deps
  * Use C++11 std::this_thread::sleep_for.
  * add include directories for tests in {ackermann/four_wheel}_steering_controller
  * Contributors: Davide Faconti, Mathias Lüdtke, Sean Yen

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.15.0-0noble) noble; urgency=high

  * Default all controller builds to C++14
  * boost::chrono -> std::chrono
  * Adjust missing bsd note
  * boost::assign -> C++ initializer list
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.14.3-0noble) noble; urgency=high

  * Minor change in one of the ROS_INFO_STREAM
  * Contributors: Jan-Felix Klein

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 09 Feb 2019 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.14.2-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.14.1-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 26 Jun 2018 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.14.0-0noble) noble; urgency=high

  * migrate to new pluginlib headers
  * fix warning un/signed comparison
  * [4ws tests] simulation clock
  * [4ws tests] Increase position tolerance
  * Contributors: Bence Magyar, Jeremie Deray, Mathias Lüdtke, Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Fri, 27 Apr 2018 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.13.2-0noble) noble; urgency=high

  * Add four_wheel_steering_controller
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 23 Dec 2017 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.13.1-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 06 Nov 2017 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.13.0-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 10 Aug 2017 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.12.3-0noble) noble; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 23 Apr 2017 00:00:00 -0000

ros-one-four-wheel-steering-controller (0.12.2-0noble) noble; urgency=high





=== debian/control ===
Source: ros-one-four-wheel-steering-controller
Section: misc
Priority: optional
Maintainer: Vincent Rousseau <vincent.rousseau@irstea.fr>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, ros-one-catkin, ros-one-controller-interface, ros-one-four-wheel-steering-msgs, ros-one-hardware-interface, ros-one-nav-msgs, ros-one-pluginlib, ros-one-realtime-tools, ros-one-roscpp, ros-one-tf, ros-one-urdf-geometry-parser
Homepage: http://ros.org/wiki/four_wheel_steering_controller
Standards-Version: 3.9.2

Package: ros-one-four-wheel-steering-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, ros-one-controller-interface, ros-one-four-wheel-steering-msgs, ros-one-hardware-interface, ros-one-nav-msgs, ros-one-realtime-tools, ros-one-roscpp, ros-one-tf
Description: Controller for a four wheel steering mobile base.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-four-wheel-steering-controller//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-four-wheel-steering-controller 0.22.0-0noble.20251208.0830

=== debian/changelog ===
ros-one-four-wheel-steering-controller (0.22.0-0noble.20251208.0830) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 08 Dec 2025 08:30:05 +0000

## ros-one-four-wheel-steering-controller 0.22.0-0noble.20260221.0159

=== debian/changelog ===
ros-one-four-wheel-steering-controller (0.22.0-0noble.20260221.0159) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 21 Feb 2026 01:59:08 +0000
